For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Order Coupons
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Coupons

List Order Coupons

GET
https://api.bigcommerce.com/stores/:store_hash/v2/orders/:order_id/coupons
GET
/stores/:store_hash/v2/orders/:order_id/coupons
$curl https://api.bigcommerce.com/stores/store_hash/v2/orders/1/coupons \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200response
1[
2 {
3 "id": 3,
4 "coupon_id": 1,
5 "order_id": 120,
6 "code": "S2549JM0Y",
7 "amount": 5,
8 "type": 2,
9 "discount": 5
10 }
11]
Lists all order coupons. Optional parameters can be passed in. |Type `int`|Type Name| |-|-| |`0`|`per_item_discount`| |`1`|`percentage_discount`| |`2`|`per_total_discount`| |`3`|`shipping_discount`| |`4`|`free_shipping`| |`5`|`promotion`|
Was this page helpful?
Previous

List Consignment Shipping Quotes

Next

List Fees

Built with

Lists all order coupons. Optional parameters can be passed in.

Type intType Name
0per_item_discount
1percentage_discount
2per_total_discount
3shipping_discount
4free_shipping
5promotion

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pagedoubleOptionalDefaults to 1
The page to return in the response.
limitdoubleOptionalDefaults to 50
Number of results to return.

Response

idinteger
Numeric ID of the coupon code.
coupon_idinteger
Numeric ID of the associated coupon.
order_idinteger
Numeric ID of the associated order.
codestring or null
Coupon code, as a string.
amountstring or double or integer

Amount of the discount. This information is returned as in integer. Dollar and percentage discounts will return the same. For example, $3 returns as 3 while 5% will return as 5. Check the discount type to see what type of discount is available.

typeenum

0: per_item_discount 1: percentage_discount 2: per_total_discount 3: shipping_discount 4: free_shipping 5: promotions

discountdouble

The amount off the order the discount is worth. For example, if an order subtotal is 90andthediscountis90 and the discount is 90andthediscountis3 then it will return as 3.000. If the discount is 3% then will return as 2.7000 or the amount of the order. (Float, Float-As-String, Integer)

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.